//
//  MPPositive_LibraryTableViewCell.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/5/28.
//

import UIKit

class MPPositive_LibraryTableViewCell: UITableViewCell {
    //特殊图片（展示预览图片）
    private lazy var iconImageView:UIImageView = {
        let imageView:UIImageView = .init()
        imageView.contentMode = .scaleAspectFill
        imageView.layer.masksToBounds = true
        imageView.layer.cornerRadius = 8*width
        return imageView
    }()
    private lazy var titleLabel:UILabel = createLabel(font: .systemFont(ofSize: 16*width, weight: .regular), textColor: .white, textAlignment: .left)
    private lazy var subtitleLabel:UILabel = createLabel(font: .systemFont(ofSize: 12*width, weight: .regular), textColor: .init(hex: "#999999"), textAlignment: .left)
    var listViewModel:MPPositive_CollectionListViewModel!{
        didSet{
            listViewModel.setImage(iconImageView)
            titleLabel.text = listViewModel.title
            subtitleLabel.text = listViewModel.subtitle
        }
    }
    var playList:MPPositive_CustomPlayListViewModel!{
        didSet{
            playList.setImage(iconImageView)
            titleLabel.text = playList.title
            subtitleLabel.text = playList.subTitle
        }
    }
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        selectionStyle = .none
        backgroundColor = .clear
        configure()
    }
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    private func configure() {
        contentView.addSubview(iconImageView)
        iconImageView.snp.makeConstraints { make in
            make.width.height.equalTo(60*width)
            make.top.equalToSuperview().offset(12*width).priority(999)
            make.bottom.equalToSuperview().offset(-12*width)
            make.left.equalToSuperview().offset(16*width)
        }
        contentView.addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.top.equalTo(iconImageView.snp.top).offset(8*width)
            make.left.equalTo(iconImageView.snp.right).offset(14*width)
            make.right.equalToSuperview().offset(-16*width)
        }
        contentView.addSubview(subtitleLabel)
        subtitleLabel.snp.makeConstraints { make in
            make.bottom.equalTo(iconImageView.snp.bottom).offset(-8*width)
            make.left.equalTo(titleLabel.snp.left)
            make.right.equalTo(titleLabel.snp.right)
        }
    }
}
